Bug 859339 - Clamdscan hardcoded to /etc/clamd.conf config
Summary: Clamdscan hardcoded to /etc/clamd.conf config
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 28
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-21 08:26 UTC by Arthur Dent
Modified: 2018-08-22 10:43 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-07 01:15:58 UTC


Attachments (Terms of Use)

Description Arthur Dent 2012-09-21 08:26:12 UTC
Description of problem:

Using clamdscan instaslled from yum and properly configured, it appears that it is hard-coded to look for its config file in /etc/clamd.conf whereas since the advent of systemd the config is now actually /etc/clamd.d/scan.conf

Version-Release number of selected component (if applicable):
TBC

How reproducible:
Always

Steps to Reproduce:
1. Do a fresh and clean install (using yum) of clamav-server-systemd, clamav-scanner-systemd and all their dependencies.

2. Configure /etc/clamd.d/scan.conf to get a working clamd system

3. Run (e.g.) # clamdscan -V (as root)
  
Actual results:
ERROR: Can't parse clamd configuration file /etc/clamd.conf

Expected results:
Echo current clamav version number to terminal

Additional info:
A work-around to get this working is either to do:
# clamdscan -c /etc/clamd.d/scan.conf -V ; or
symlink /etc/clamd.conf to /etc/clamd.d/scan.conf

Either fo these two methods seem like a kludge and should not be required.

Unless I am missing some hidden configuration, it seems that clamdscan is hard-coded to look for the config in /etc/clamd.conf.

Zdenek Pytela in this thread:
http://lists.fedoraproject.org/pipermail/users/2012-September/424666.html
(specifically in this post: http://lists.fedoraproject.org/pipermail/users/2012-September/424871.html)

agrees that it does seem to be hard-coded:

strings /bin/clamdscan
...
/etc/clamd.conf
...
or
strace -e open,stat -o /tmp/clamscan.strace clamdscan -V
...
open("/etc/clamd.conf", O_RDONLY)       = -1 ENOENT (No such file or directory)
...

Comment 1 Fedora Admin XMLRPC Client 2013-02-27 21:06:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2013-07-04 01:17:45 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 05:36:19 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Gerald Cox 2017-02-20 13:28:10 UTC
Reopening... experiencing this issue with F25.

Comment 5 Fedora Admin XMLRPC Client 2017-03-27 17:21:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2017-07-13 02:21:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2017-07-17 12:48:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Sergio Monteiro Basto 2017-09-30 16:48:44 UTC
(In reply to Arthur Dent from comment #0)
> Unless I am missing some hidden configuration, it seems that clamdscan is
> hard-coded to look for the config in /etc/clamd.conf.
> 
> Zdenek Pytela in this thread:
> http://lists.fedoraproject.org/pipermail/users/2012-September/424666.html
> (specifically in this post:
> http://lists.fedoraproject.org/pipermail/users/2012-September/424871.html)
> 
> agrees that it does seem to be hard-coded:
> 
> strings /bin/clamdscan
> ...
> /etc/clamd.conf
> ...
> or
> strace -e open,stat -o /tmp/clamscan.strace clamdscan -V
> ...
> open("/etc/clamd.conf", O_RDONLY)       = -1 ENOENT (No such file or
> directory)
> ...

Hi,

Have you any suggestion to fix this bug ? 

Thanks

Comment 9 Fedora End Of Life 2017-11-16 18:57:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:27:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Fedora End Of Life 2018-02-20 15:28:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 12 Fedora Update System 2018-07-31 03:34:43 UTC
clamav-0.100.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61b6e4545f

Comment 13 Fedora Update System 2018-07-31 03:35:35 UTC
clamav-0.100.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1c78a6e35

Comment 14 Fedora Update System 2018-07-31 15:25:15 UTC
clamav-0.100.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1c78a6e35

Comment 15 Fedora Update System 2018-07-31 18:33:20 UTC
clamav-0.100.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-61b6e4545f

Comment 16 Fedora Update System 2018-08-07 01:15:58 UTC
clamav-0.100.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 James Cassell 2018-08-09 14:54:06 UTC
Thanks! Would be great to see this fix in EPEL 7!

Comment 18 Sergio Monteiro Basto 2018-08-10 00:33:53 UTC
(In reply to James Cassell from comment #17)
> Thanks! Would be great to see this fix in EPEL 7!

why ? clamav-0.100.1-3 to clamav-0.100.1-4 have some risks that I'd like test it better before move to epel

Comment 19 Fedora Update System 2018-08-22 10:43:04 UTC
clamav-0.100.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.